List Calendar Resources
List calendar resources by resource type and location ID
GET
/
calendars
/
resources
/
{resourceType}
List Calendar Resources
curl --request GET \
--url https://services.leadconnectorhq.com/calendars/resources/{resourceType} \
--header 'Version: <version>'const options = {method: 'GET', headers: {Version: '<version>'}};
fetch('https://services.leadconnectorhq.com/calendars/resources/{resourceType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/calendars/resources/{resourceType}"
headers = {"Version": "<version>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"locationId": "<string>",
"name": "yoga room",
"resourceType": "equipments",
"isActive": true,
"calendarIds": [
"Jsj0xnlDDjw0SuvX1J13",
"oCM5feFC86FAAbcO7lJK"
],
"description": "<string>",
"quantity": 123,
"outOfService": 0,
"capacity": 85
}
]{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}Headers
API Version
Available options:
2021-04-15 Path Parameters
Calendar Resource Type
Available options:
equipments, rooms Response
Calendar resources listed
Location ID of the resource
Name of the resource
Example:
"yoga room"
Available options:
equipments, rooms Whether the resource is active
Calendar IDs
Example:
[
"Jsj0xnlDDjw0SuvX1J13",
"oCM5feFC86FAAbcO7lJK"
]
Description of the resource
Quantity of the resource
Indicates if the resource is out of service
Example:
0
Capacity of the resource
Example:
85
Last modified on March 8, 2026
Was this page helpful?
List Calendar Resources
curl --request GET \
--url https://services.leadconnectorhq.com/calendars/resources/{resourceType} \
--header 'Version: <version>'const options = {method: 'GET', headers: {Version: '<version>'}};
fetch('https://services.leadconnectorhq.com/calendars/resources/{resourceType}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/calendars/resources/{resourceType}"
headers = {"Version": "<version>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"locationId": "<string>",
"name": "yoga room",
"resourceType": "equipments",
"isActive": true,
"calendarIds": [
"Jsj0xnlDDjw0SuvX1J13",
"oCM5feFC86FAAbcO7lJK"
],
"description": "<string>",
"quantity": 123,
"outOfService": 0,
"capacity": 85
}
]{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}